# eric3.Wizards.InputDialogWizard.InputDialogWizard

Module implementing the input dialog wizard.

### Classes

InputDialogWizard | Class implementing the input dialog wizard.

### Functions

None

## InputDialogWizard

Class implementing the input dialog wizard.

### Derived from

WizardIFace

### Methods

InputDialogWizard | Constructor
callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

### InputDialogWizard (Constructor)

InputDialogWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

### InputDialogWizard.callForm

callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

### InputDialogWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

### InputDialogWizard.handle

handle()

Worker method associated with the wizard action

### InputDialogWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up